#image: registry.cern.ch/docker.io/library/python:3.9
image: python:3.9

before_script:
  - pip install --upgrade pip
  - pip install mkdocs mkdocs-material mkdocs-multirepo-plugin
  - pip list
  - python --version

pages:
  stage: deploy
  script:
  - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.cern.ch:8443/atlas-itk-pixel-systemtest/itk-demo-sw.wiki.git docs
  - mv docs/home.md docs/index.md
  - mkdocs build --verbose
  # - cp -r docs public
  - ls public
  artifacts:
    paths:
    - public
  only:
  - master
